Name:       libfdk-aac
Version:    2.0.2
Release:    1%{?dist}
Summary:    fdk-aac - Fraunhofer FDK AAC Codec Library
Group: Applications/System
License:MIT license
URL:        https://github.com/mstorsjo/fdk-aac
%undefine   _disable_source_fetch
Source0:    https://github.com/mstorsjo/fdk-aac/archive/v%{version}.tar.gz
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Packager: 	%packager
BuildRequires: autoconf
BuildRequires: automake
BuildRequires: libtool
BuildRequires: gcc, libgcc, glibc-devel, zlib-devel, gcc-c++, make


%define debug_package %nil

%description
The Fraunhofer FDK AAC Codec Library ("FDK AAC Codec") is software that
implements the MPEG Advanced Audio Coding ("AAC") encoding and decoding
scheme for digital audio.

##################################################################################################################
%package devel
Summary: libfdk-aac-devel - Development files for libfdk-aac
Group: Development/Libraries
Requires: %{name} = %{version}

%description devel
The libfdk-aac-devel package contains libraries and header files for
developing applications that use libfdk-aac.
##

%prep

%setup -q -n fdk-aac-%{version}

%build
autoreconf -fiv
./configure --prefix=%{_prefix} --bindir=%{_bindir} --libdir=%{_libdir}
make %{?_smp_mflags}
%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

#%post
#if [ $1 == 1 ];then
#       #installed
#fi

#%postun
#if [ $1 == 0 ];then
   #uninstalled   
#fi
%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%files
#%license LICENSE
#%doc AUTHORS CHANGES README TODO
%{_libdir}/libfdk-aac.so.2
%{_libdir}/libfdk-aac.so.2.0.2

%files devel
%{_includedir}/fdk-aac/FDK_audio.h
%{_includedir}/fdk-aac/aacdecoder_lib.h
%{_includedir}/fdk-aac/aacenc_lib.h
%{_includedir}/fdk-aac/genericStds.h
%{_includedir}/fdk-aac/machine_type.h
%{_includedir}/fdk-aac/syslib_channelMapDescr.h
%{_libdir}/libfdk-aac.a
%{_libdir}/libfdk-aac.la
%{_libdir}/libfdk-aac.so
%{_libdir}/pkgconfig/fdk-aac.pc